Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.openxml4j.opc
Class Package

    java.lang.Object
      org.apache.poi.openxml4j.opc.OPCPackage
          org.apache.poi.openxml4j.opc.Package

All Implemented Interfaces:
  RelationshipSource, poi.support.Closeable

Direct Known Subclasses:
  ZipPackage

Deprecated. (name clash with `Package` use `OPCPackage` instead.

    public abstract class Package

extends OPCPackage

Author:
  Julien Chable, CDubet

Method Summary
`static OPCPackage` | `create(java.io.File file)` Deprecated. use `OPCPackage.create(File)`
`static OPCPackage` | `create(java.io.OutputStream output)` Deprecated. use `OPCPackage.create(OutputStream)`
`static OPCPackage` | `create(java.lang.String path)` Deprecated. use `OPCPackage.create(String)`
`static OPCPackage` | `open(java.io.InputStream in)` Deprecated. use `OPCPackage.open(InputStream)`
`static OPCPackage` | `open(java.lang.String path)` Deprecated. use `OPCPackage.open(String)`
`static OPCPackage` | `open(java.lang.String path, PackageAccess access)` Deprecated. use `OPCPackage.open(String,PackageAccess)`
`static OPCPackage` | `openOrCreate(java.io.File file)` Deprecated. use `OPCPackage.openOrCreate(java.io.File)`

Methods inherited from class org.apache.poi.openxml4j.opc.OPCPackage
`addExternalRelationship, addExternalRelationship, addMarshaller, addRelationship, addRelationship, addThumbnail, addUnmarshaller, clearRelationships, close, containPart, createPart, createPart, deletePart, deletePartRecursive, ensureRelationships, flush, getPackageAccess, getPackageProperties, getPart, getPart, getParts, getPartsByContentType, getPartsByName, getPartsByRelationshipType, getRelationship, getRelationships, getRelationshipsByType, hasRelationships, isRelationshipExists, removeMarshaller, removePart, removePart, removePartRecursive, removeRelationship, removeUnmarshaller, replaceContentType, revert, save, save, validatePackage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### open

    public static OPCPackage open(java.lang.String path)
                           throws InvalidFormatException

  Deprecated. use `OPCPackage.open(String)`

  Throws:
    `InvalidFormatException`

### open

    public static OPCPackage open(java.lang.String path,
                                  PackageAccess access)
                           throws InvalidFormatException

  Deprecated. use `OPCPackage.open(String,PackageAccess)`

  Throws:
    `InvalidFormatException`

### open

    public static OPCPackage open(java.io.InputStream in)
                           throws InvalidFormatException,
                                  java.io.IOException

  Deprecated. use `OPCPackage.open(InputStream)`

  Throws:
    `InvalidFormatException`
    `java.io.IOException`

### openOrCreate

    public static OPCPackage openOrCreate(java.io.File file)
                                   throws InvalidFormatException

  Deprecated. use `OPCPackage.openOrCreate(java.io.File)`

  Throws:
    `InvalidFormatException`

### create

    public static OPCPackage create(java.lang.String path)

  Deprecated. use `OPCPackage.create(String)`

### create

    public static OPCPackage create(java.io.File file)

  Deprecated. use `OPCPackage.create(File)`

### create

    public static OPCPackage create(java.io.OutputStream output)

  Deprecated. use `OPCPackage.create(OutputStream)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD